KDE 4.2 PyKDE API Reference

- KDE's Python API

# LeapSeconds Class Reference

`from PyKDE4.kdecore import *`

Namespace: KTimeZone

## Detailed Description

## Methods

| __init__ (self)
| __init__ (self, QDateTime utcTime, int leapSeconds, QString comment=QString())
| __init__ (self, KTimeZone.LeapSeconds c)
QString | comment (self)
QDateTime | dateTime (self)
bool | isValid (self)
int | leapSeconds (self)
bool | operator < (self, KTimeZone.LeapSeconds c)

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | QDateTime | utcTime,
|  | int | leapSeconds,
|  | QString | comment=QString()
| ) |  |  |

__init__ | ( | self, |
|  | KTimeZone.LeapSeconds | c
| ) |  |  |

QString comment | ( |  | self ) |

Return the comment (if any) applying to this change.

Returns:
  comment

QDateTime dateTime | ( |  | self ) |

Return the UTC date/time when this change occurred.

Returns:
  date/time

bool isValid | ( |  | self ) |

Return whether this instance holds valid data.

Returns:
  true if valid, false if invalid

int leapSeconds | ( |  | self ) |

Return the cumulative number of leap seconds to be added after this change occurs.

Returns:
  number of leap seconds

bool operator < | ( | self, |
|  | KTimeZone.LeapSeconds | c
| ) |  |  |